ALTER TABLE `BDC_CARICO_RIPARTIZIONE_STORICO_MODIFICHE`
  ADD COLUMN `DATA_MODIFICA` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP AFTER `USERNAME`;

ALTER TABLE `BDC_CARICO_RIPARTIZIONE_STORICO_MODIFICHE`
  DROP FOREIGN KEY `fk_BDC_CARICO_RIPARTIZIONE_STORICO_MODIFICHE_1`;
ALTER TABLE `BDC_CARICO_RIPARTIZIONE_STORICO_MODIFICHE`
  CHANGE COLUMN `ID_CARICO_RIPARTIZIONE` `ID_CARICO_RIPARTIZIONE` INT(11) UNSIGNED NOT NULL ;
ALTER TABLE `BDC_CARICO_RIPARTIZIONE_STORICO_MODIFICHE`
  ADD CONSTRAINT `fk_BDC_CARICO_RIPARTIZIONE_STORICO_MODIFICHE_1`
FOREIGN KEY (`ID_CARICO_RIPARTIZIONE`)
REFERENCES `BDC_CARICO_RIPARTIZIONE` (`ID_CARICO_RIPARTIZIONE`)
  ON DELETE NO ACTION
  ON UPDATE NO ACTION;
